Subject: [ietf-tls] SRP handshake messages

From: David Taylor <[email-masked]>
Date: Thu, 15 Mar 2001 22:52:06 +1100

A couple of people have suggested I use the wireless hello extensions for the SRP handshake, and it looks like a fair thing.

I can see the user name going into an extension of the client hello message. I could put the initial parameters from the server in an extension of the server hello message, removing one server key exchange message. This would still leave the second server key exchange message outside the standard server hello/server hello done bounds, so I don't think it is worth it.

The only reason I can think to do it would be if implementations are too difficult to change, but I don't think this is a good reason to do it either.

Comments?

Regards,
David.

---
You are currently subscribed to ietf-tls as: [email-masked]
To unsubscribe send a blank email to [email-masked]